ServerEvents.recipes(event => {
event.remove({ output: 'tacz:gun_smith_table' })
event.remove({ output: 'ae2:calculation_processor_press' })
event.remove({ output: 'ae2:engineering_processor_press' })
event.remove({ output: 'ae2:logic_processor_press' })
event.remove({ output: 'ae2:silicon_press' })

event.shaped('ae2:silicon_press', 
  [// arg 1: output
    'AAA', 
    'ABA', // arg 2: the shape (array of strings)
    'AAA'  
  ],
    {
	A: 'ae2:charged_certus_quartz_crystal',
	B: 'ae2:silicon'
  }
);

event.shaped('ae2:logic_processor_press', 
  [// arg 1: output
    'AAA', 
    'ABA', // arg 2: the shape (array of strings)
    'AAA'  
  ],
    {
	A: 'ae2:charged_certus_quartz_crystal',
	B: 'minecraft:gold_block'
  }
);
event.shaped('ae2:engineering_processor_press', 
  [// arg 1: output
    'AAA', 
    'ABA', // arg 2: the shape (array of strings)
    'AAA'  
  ],
    {
	A: 'ae2:charged_certus_quartz_crystal',
	B: 'minecraft:diamond_block'
  }
);

event.shaped('ae2:calculation_processor_press', 
  [// arg 1: output
    'AAA', 
    'ABA', // arg 2: the shape (array of strings)
    'AAA'  
  ],
    {
	A: 'ae2:charged_certus_quartz_crystal',
	B: 'minecraft:redstone_block'
  }
);
event.shaped('ae2:certus_quartz_crystal', 
  [// arg 1: output
    'AA ', 
    'AA ', // arg 2: the shape (array of strings)
    'AA '  
  ],
    {
	A: 'ae2:certus_quartz_dust'
  }
);
event.shaped('tacz:gun_smith_table', 
  [// arg 1: output
    'AAA', 
    'DBD', // arg 2: the shape (array of strings)
    'DCD'  
  ],
    {
	B: 'immersiveengineering:hammer',
	C: '#forge:ingots/brass',
	D: '#forge:storage_blocks/iron',
	A: '#minecraft:logs'
  }
);

event.shaped('infectionmod:vaccine', 
  [// arg 1: output
    ' FC', 
    'EBG', // arg 2: the shape (array of strings)
    'DH '  
  ],
    {
	B: 'infectionmod:syringe_blood',
	C: '#forge:ingots/zinc',
	D: 'minecraft:milk_bucket',
	E: 'minecraft:golden_apple',
	F: 'minecraft:golden_carrot',
	G: 'minecraft:glistering_melon_slice',
	H: '#forge:dusts/salt'
	
  }
);
event.shaped('infectionmod:adrenaline', 
  [// arg 1: output
    ' EC', 
    'DBD', // arg 2: the shape (array of strings)
    'CE '  
  ],
    {
	B: '#forge:ingots/zinc',
	C: 'infectionmod:syringe',
	D: 'infectionmod:vitamins',
	E: 'infectionmod:suspicious_tincture'
  }
);
event.shaped('infectionmod:morphine', 
  [// arg 1: output
    ' EC', 
    'DBD', // arg 2: the shape (array of strings)
    'CE '  
  ],
    {
	B: '#forge:ingots/zinc',
	C: 'infectionmod:syringe',
	D: 'infectionmod:vitamins',
	E: 'infectionmod:chemicals'
  }
);
event.shaped('infectionmod:syringe_blood', 
  [// arg 1: output
    'BC ', 
    '   ', // arg 2: the shape (array of strings)
    '   '  
  ],
    {
	B: 'minecraft:rotten_flesh',
	C: 'infectionmod:syringe'
  }
);
})